/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.taxiservicios.model.view.dashboard;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
public class MaintenanceView implements Serializable {

    private static final long serialVersionUID = -1L;

    private String id;
    private String idLocation;
    private String customerName;
    private String driverName;
    private String service;
    private String vehicle;
    private Float km;
    private Float maintenance;
    private Double difference;
    private String modulo;
    private Date fechaKm;
    private String usuarioKm;
    private String gpsNumber;

    public MaintenanceView() {
    }

    public MaintenanceView(String id, String customerName, String driverName, String service, String vehicle, Float km, Float maintenance, Double difference) {
        this.id = id;
        this.customerName = customerName;
        this.driverName = driverName;
        this.service = service;
        this.vehicle = vehicle;
        this.km = km;
        this.maintenance = maintenance;
        this.difference = difference;
    }
    
    public MaintenanceView(String id, String customerName, String driverName, String service, String vehicle, Float km, Float maintenance, Double difference, 
            String modulo, Date fechaKm, String usuarioKm) {
        this.id = id;
        this.customerName = customerName;
        this.driverName = driverName;
        this.service = service;
        this.vehicle = vehicle;
        this.km = km;
        this.maintenance = maintenance;
        this.difference = difference;
        this.modulo = modulo;
        this.fechaKm = fechaKm;
        this.usuarioKm = usuarioKm;
    }

    public MaintenanceView(String id, String idLocation, String customerName, String driverName, String service, String vehicle, Float km, Float maintenance, Double difference, String modulo, Date fechaKm, String usuarioKm, String gpsNumber) {
        this.id = id;
        this.idLocation = idLocation;
        this.customerName = customerName;
        this.driverName = driverName;
        this.service = service;
        this.vehicle = vehicle;
        this.km = km;
        this.maintenance = maintenance;
        this.difference = difference;
        this.modulo = modulo;
        this.fechaKm = fechaKm;
        this.usuarioKm = usuarioKm;
        this.gpsNumber = gpsNumber;
    }

    
    public String getModulo() {
        return modulo;
    }

    public void setModulo(String modulo) {
        this.modulo = modulo;
    }

    public Date getFechaKm() {
        return fechaKm;
    }

    public void setFechaKm(Date fechaKm) {
        this.fechaKm = fechaKm;
    }

    public String getUsuarioKm() {
        return usuarioKm;
    }

    public void setUsuarioKm(String usuarioKm) {
        this.usuarioKm = usuarioKm;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getIdLocation() {
        return idLocation;
    }

    public void setIdLocation(String idLocation) {
        this.idLocation = idLocation;
    }
    
    

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getDriverName() {
        return driverName;
    }

    public void setDriverName(String driverName) {
        this.driverName = driverName;
    }

    public String getService() {
        return service;
    }

    public void setService(String service) {
        this.service = service;
    }

    public String getVehicle() {
        return vehicle;
    }

    public void setVehicle(String vehicle) {
        this.vehicle = vehicle;
    }

    public Float getKm() {
        return km;
    }

    public void setKm(Float km) {
        this.km = km;
    }

    public Float getMaintenance() {
        return maintenance;
    }

    public void setMaintenance(Float maintenance) {
        this.maintenance = maintenance;
    }

    public Double getDifference() {
        return difference;
    }

    public void setDifference(Double difference) {
        this.difference = difference;
    }

    public String getGpsNumber() {
        return gpsNumber;
    }

    public void setGpsNumber(String gpsNumber) {
        this.gpsNumber = gpsNumber;
    }

    @Override
    public String toString() {
        return "MaintenanceView{" + "customerName=" + customerName + ", driverName=" + driverName + ", service=" + service + ", vehicle=" + vehicle + ", km=" + km + ", maintenance=" + maintenance + ", difference=" + difference + '}';
    }

}
